﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Description>This is the Microsoft Azure Cognitive Services Anomaly Detector client library</Description>
    <AssemblyTitle>Microsoft Azure.AI.AnomalyDetector client library</AssemblyTitle>
    <Version>3.0.0-preview.1</Version>
    <PackageTags>Microsoft Azure Anomaly Detector</PackageTags>
    <TargetFrameworks>$(RequiredTargetFrameworks)</TargetFrameworks>
    <GenerateAPIListing>false</GenerateAPIListing>
    <!-- Disable warning for avoiding single word type names -->
    <NoWarn>$(NoWarn);AZC0012</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="System.Text.Json" />
  </ItemGroup>

  <!-- Shared source from Azure.Core -->
  <ItemGroup>
    <Compile Include="$(AzureCoreSharedSources)Argument.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)ArrayBufferWriter.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)AzureKeyCredentialPolicy.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)AzureResourceProviderNamespaceAttribute.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)ClientDiagnostics.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)ContentTypeUtilities.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)DiagnosticScope.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)DiagnosticScopeFactory.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)HttpMessageSanitizer.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)OperationHelpers.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
    <Compile Include="$(AzureCoreSharedSources)TaskExtensions.cs" Link="Shared\%(RecursiveDir)\%(Filename)%(Extension)" />
  </ItemGroup>

  <Import Project="$(MSBuildThisFileDirectory)..\..\..\core\Azure.Core\src\Azure.Core.props" />

</Project>
